GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

gtpin::Array< T, N > Class Template Reference
GTPin: Utilities

A container that encapsulates fixed size arrays. More...

`#include <gt_basic_defs.h>`

## Detailed Description

### template<typename T, size_t N>
class gtpin::Array< T, N >

A container that encapsulates fixed size arrays.

This template class provides functionality similar to std::array for clients that cannot use C++11 STL

Parameters:

  T | Type of the element
  N | Number of elements in the array

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT